16s Nanopore dada2 and deblur failed

Hello,
I have 16s rRNA reads from nanopore (1650 bp), i have cleaned and trimmed these fastq files with galaxy. When i try to use moving pictures tutorial i cannot pass the dada2 and deblur steps.
I am using qiime2 2019.4 version on ubuntu 16.04 (conda).
The error log for dada2 and the deblur is given below.
I could not find a solution. Can you help me please.
Best Regards.

DADA2 ERROR LOG

Running external command line application(s). This may print messages to stdout and/or stderr.
The command(s) being run are below. These commands cannot be manually re-run as they will depend on temporary files that no longer exist.

Command: run_dada_single.R /tmp/qiime2-archive-hr71cm1d/0003301b-f141-4aac-96b4-416d237b3846/data /tmp/tmpfuvl8vfj/output.tsv.biom /tmp/tmpfuvl8vfj/track.tsv /tmp/tmpfuvl8vfj 1000 0 2.0 2 Inf consensus 1.0 1 1000000 NULL 16

R version 3.5.1 (2018-07-02)
Loading required package: Rcpp
DADA2: 1.10.0 / Rcpp: 1.0.1 / RcppParallel: 4.4.2

  1. Filtering …
  2. Learning Error Rates
    223927000 total bases in 223927 reads from 5 samples will be used for learning the error rates.
    Error in err[c(1, 6, 11, 16), ] <- 1 :
    incorrect number of subscripts on matrix
    Execution halted
    Traceback (most recent call last):
    File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 152, in _denoise_single
    run_commands([cmd])
    File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 36, in run_commands
    subprocess.run(cmd, check=True)
    File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/subprocess.py”, line 418, in run
    output=stdout, stderr=stderr)
    subprocess.CalledProcessError: Command β€˜[β€˜run_dada_single.R’, β€˜/tmp/qiime2-archive-hr71cm1d/0003301b-f141-4aac-96b4-416d237b3846/data’, β€˜/tmp/tmpfuvl8vfj/output.tsv.biom’, β€˜/tmp/tmpfuvl8vfj/track.tsv’, β€˜/tmp/tmpfuvl8vfj’, β€˜1000’, β€˜0’, β€˜2.0’, β€˜2’, β€˜Inf’, β€˜consensus’, β€˜1.0’, β€˜1’, β€˜1000000’, β€˜NULL’, β€˜16’]’ returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py”, line 311, in call
results = action(**arguments)
File β€œ</home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:decorator-gen-449>”, line 2, in denoise_single
File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 365, in callable_executor
output_views = self._callable(**view_args)
File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 187, in denoise_single
band_size=β€˜16’)
File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_dada2/_denoise.py”, line 163, in _denoise_single
" and stderr to learn more." % e.returncode)
Exception: An error was encountered while running DADA2 in R (return code 1), please inspect stdout and stderr to learn more.

DEBLUR ERROR LOG
/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/deblur/workflow.py:851: UserWarning: Problem removing artifacts from file /tmp/qiime2-archive-om1inu_1/71fb0938-798a-4cf8-bc93-5838f341a39b/data/S76_0_L001_R1_001.fastq.gz
seqs_fp, UserWarning)
/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/deblur/workflow.py:851: UserWarning: Problem removing artifacts from file /tmp/qiime2-archive-om1inu_1/71fb0938-798a-4cf8-bc93-5838f341a39b/data/S80_4_L001_R1_001.fastq.gz
seqs_fp, UserWarning)
/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/deblur/workflow.py:851: UserWarning: Problem removing artifacts from file /tmp/qiime2-archive-om1inu_1/71fb0938-798a-4cf8-bc93-5838f341a39b/data/S77_1_L001_R1_001.fastq.gz
seqs_fp, UserWarning)
/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/deblur/workflow.py:851: UserWarning: Problem removing artifacts from file /tmp/qiime2-archive-om1inu_1/71fb0938-798a-4cf8-bc93-5838f341a39b/data/S79_3_L001_R1_001.fastq.gz
seqs_fp, UserWarning)
/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/deblur/workflow.py:851: UserWarning: Problem removing artifacts from file /tmp/qiime2-archive-om1inu_1/71fb0938-798a-4cf8-bc93-5838f341a39b/data/S78_2_L001_R1_001.fastq.gz
seqs_fp, UserWarning)
Traceback (most recent call last):
File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2cli/commands.py”, line 311, in call
results = action(**arguments)
File β€œ</home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/decorator.py:decorator-gen-441>”, line 2, in denoise_16S
File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 231, in bound_callable
output_types, provenance)
File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 365, in callable_executor
output_views = self._callable(**view_args)
File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_deblur/_denoise.py”, line 99, in denoise_16S
hashed_feature_ids=hashed_feature_ids)
File β€œ/home/ibrahim/anaconda3/envs/qiime2-2019.4/lib/python3.6/site-packages/q2_deblur/_denoise.py”, line 182, in _denoise_helper
β€œof the data being denoised.” % trim_length)
ValueError: No sequences passed the filter. It is possible the trim_length (1500) may exceed the longest sequence, that all of the sequences are artifacts like PhiX or adapter, or that the positive reference used is not representative of the data being denoised.

Hi @ibrahim,
Unfortunately nanopore data is not supported by DADA2 currently and neither is the other denoising method Deblur. This is something you might have to do outside of Qiime2, or you can stick with older methods such as OTU picking etc in which case you can use Qiime2. See here for some suggestions.

1 Like